local error_mt = {
	__tostring = function (e)
		return tostring(e.message or ("<Scansion error: "..tostring(self)..">"));
	end;
	__name = "scansion error";
};

return {
	new_error = function (message, data)
		return setmetatable({ message = message, data = data }, error_mt);
	end;
	is = function (err)
		return getmetatable(err) == error_mt;
	end;
};
